IF OBJECT_ID('View_Fil_NipoN') IS NOT NULL
	DROP VIEW View_Fil_NipoN
GO

CREATE VIEW View_Fil_NipoN AS
SELECT
	Fil_NipoN.nnYmd,Fil_NipoN.nnInpNNo,Fil_NipoN.nnChumoncd,Mst_Chumon.mchRyakuName,Mst_Chumon.mchTel,Mst_Chumon.mchFax,
	Mst_Chumon.mchKaitancd,Mst_Syain.Syain,Mst_Chumon.mchKaimm,Mst_Chumon.mchKaidd,Fil_NipoDenN.ndnMemo1,t1.t1Sum AS SumnnNKingaku,
	t2.t2Sum AS SumnnNCKingaku,Fil_NipoN.nnExchKb,ExchName.smkName AS nnExchName,Fil_NipoN.nnNdenKb,denName.smkName AS nnNdenName,Fil_NipoN.nnNKingaku,Fil_NipoN.nnYosoUcd,Mst_YosoU.YosoUNm,
	Fil_NipoN.nnMemo1,Fil_NipoN.nnMemo2,Fil_NipoN.nnTegataYmd,Fil_NipoN.nnTegataNo,Fil_NipoN.nnKojiNo,Fil_NipoN.nnKbNo,Mst_KojiBase.mkbRyakuName,
	Fil_NipoN.nnNCKingaku,Fil_NipoN.nnMemo3,Fil_NipoN.nnMemo4,Fil_NipoN.nnCDSeqNo
FROM
	Fil_NipoN
LEFT OUTER JOIN Mst_Chumon ON Mst_Chumon.Chumoncd=Fil_NipoN.nnChumoncd
LEFT OUTER JOIN Mst_Syain ON Mst_Syain.Syaincd=Mst_Chumon.mchKaitancd
LEFT OUTER JOIN Fil_NipoDenN ON Fil_NipoN.nnInpNNo=Fil_NipoDenN.ndnInpNNo
LEFT OUTER JOIN (SELECT SUM(Fil_NipoN.nnNKingaku) AS t1Sum,Fil_NipoN.nnInpNNo AS t1Inp FROM Fil_NipoN GROUP BY Fil_NipoN.nnInpNNo) AS t1 ON t1.t1Inp=Fil_NipoN.nnInpNNo
LEFT OUTER JOIN (SELECT SUM(Fil_NipoN.nnNCKingaku) AS t2Sum,Fil_NipoN.nnInpNNo AS t2Inp FROM Fil_NipoN GROUP BY Fil_NipoN.nnInpNNo) AS t2 ON t2.t2Inp=Fil_NipoN.nnInpNNo
LEFT OUTER JOIN Set_MstKbn AS ExchName ON Fil_NipoN.nnExchKb= ExchName.smkSeqNo AND  ExchName.smkTblID='KbnF_Exch'
LEFT OUTER JOIN Set_MstKbn AS denName ON Fil_NipoN.nnNdenKb= denName.smkSeqNo AND  denName.smkTblID='KbnT_Denpyo40'
LEFT OUTER JOIN Mst_YosoU ON Mst_YosoU.YosoUcd=Fil_NipoN.nnYosoUcd AND Mst_YosoU.YodcKb=3
LEFT OUTER JOIN Mst_KojiBase ON Mst_KojiBase.KojiNo=Fil_NipoN.nnKojiNo AND Mst_KojiBase.KbNo=Fil_NipoN.nnKbNo
GO