IF OBJECT_ID('View_Fil_NipoS') IS NOT NULL
	DROP VIEW View_Fil_NipoS
GO

CREATE VIEW View_Fil_NipoS AS
SELECT
	nsYmd,s.nsInpSNo,nsShiirecd,mgyRyakuName,mgyTel,mgyFax,kbngy.smkName AS [GyosyaNm],ndsMemo1,sums.sumSKingaku,sums.sumSDKingaku,nsSeqNo,nsExchKb,kbnec.smkName AS [ExchNm],nsSDenKb,kbnsd.smkName AS [SDenNm],nsSKingaku,
	nsYosoUcd,YosoUNm,nsMemo1,nsMemo2,nsTegataYmd,nsTegataNo,nsGenFuriKb,(CASE WHEN nsGenFuriKb=0 THEN '' ELSE 'Ќ'+CAST(nsGenFuriKb AS nvarchar)+'i'+gnk1.mgkGinko+stn1.mgsShiten+'j' END) AS [GenFuriNm],
	nsGincd,nsShitencd,gnk2.mgkGinko,stn2.mgsShiten,nsYokinKb,kbnykn.smkName AS [YokinNm],nsKouzaNo,nsKouzaNm,nsKojiNo,nsKbNo,mkbRyakuName,nsSDKingaku,nsMemo3,nsMemo4
FROM
	Fil_NipoS AS s
LEFT OUTER JOIN
	Mst_Gyosya
ON
	nsShiirecd = Shiirecd
LEFT OUTER JOIN
	Set_MstKbn AS kbngy
ON
	kbngy.smkTblID = 'Kbn_Gyosya'
	AND
	mgyGyosyaKb = kbngy.smkSeqNo
LEFT OUTER JOIN
	Fil_NipoDenS
ON
	nsInpSNo = ndsInpSNo
LEFT OUTER JOIN
(
	SELECT
		nsInpSNo,SUM(nsSKingaku) AS [sumSKingaku],SUM(nsSDKingaku) AS [sumSDKingaku]
	FROM
		Fil_NipoS
	GROUP BY
		nsInpSNo
) AS sums
ON
	s.nsInpSNo = sums.nsInpSNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnec
ON
	kbnec.smkTblID = 'KbnF_Exch'
	AND
	nsExchKb = kbnec.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnsd
ON
	kbnsd.smkTblID = 'KbnT_Denpyo20'
	AND
	nsSDenKb = kbnsd.smkSeqNo
LEFT OUTER JOIN
	Mst_YosoU
ON
	YodcKb = 1
	AND
	nsYosoUcd = YosoUcd
LEFT OUTER JOIN
	Set_Kouza
ON
	nsGenFuriKb = skoNo
LEFT OUTER JOIN
	MstC_Ginko AS gnk1
ON
	skoGincd = gnk1.Ginkocd
LEFT OUTER JOIN
	MstC_GinkoS AS stn1
ON
	skoGincd = stn1.Ginkocd
	AND
	skoShitencd = stn1.Shitencd
LEFT OUTER JOIN
	MstC_Ginko AS gnk2
ON
	nsGincd = gnk2.Ginkocd
LEFT OUTER JOIN
	MstC_GinkoS AS stn2
ON
	nsGincd = stn2.Ginkocd
	AND
	nsShitencd = stn2.Shitencd
LEFT OUTER JOIN
	Set_MstKbn AS kbnykn
ON
	kbnykn.smkTblID = 'KbnF_Yokin'
	AND
	nsYokinKb = kbnykn.smkSeqNo
LEFT OUTER JOIN
	Mst_KojiBase
ON
	nsKojiNo = KojiNo
	AND
	nsKbNo = KbNo
GO