IF OBJECT_ID('View_Fil_Yosan') IS NOT NULL
	DROP VIEW View_Fil_Yosan
GO

CREATE VIEW View_Fil_Yosan AS
SELECT
	yoKojiNo,yoKbNo,mkbRyakuName,yoSeqNo,yoExchKb,kbnec.smkName AS [ExchNm],yoLevelNo,yoLevel1cd,yoLevel1Nm,yoLevel2cd,yoLevel2Nm,yoLevel3cd,yoLevel3Nm,yoDbuncd,yoHinscd,yoHincd,yoHinmei0,yoHinmei1,
	yoDenKb,kbnzei.smkName AS [DenNm],
	yoInpSuryoS,yoSTani,yoSTanka,yoInpSKingaku,yoInpSZei,yoZeiRateKbS,yoZeiRateS,
	yoInpSuryoH,yoHTani,yoHTanka,yoInpHKingaku,yoInpHZei,yoZeiRateKbH,yoZeiRateH,
	yoInpSuryoD,yoDTani,yoDTanka,yoInpDKingaku,yoInpDZei,yoZeiRateKbD,yoZeiRateD,
	yoYosoUcd,YosoUNm,yoShiirecd,mgyRyakuName,yoMemo1,yoMemo2,
	CASE WHEN yoZeiRateKbS IS NULL THEN NULL ELSE COALESCE(yoZeiTypeS,0) END AS yoZeiTypeS,
	CASE WHEN yoZeiRateKbH IS NULL THEN NULL ELSE COALESCE(yoZeiTypeH,0) END AS yoZeiTypeH,
	CASE WHEN yoZeiRateKbD IS NULL THEN NULL ELSE COALESCE(yoZeiTypeD,0) END AS yoZeiTypeD
FROM
	Fil_Yosan
LEFT OUTER JOIN
	Mst_KojiBase
ON
	yoKojiNo = KojiNo
	AND
	yoKbNo = KbNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnec
ON
	kbnec.smkTblID = 'KbnF_Exch'
	AND
	yoExchKb = kbnec.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzei
ON
	kbnzei.smkTblID = 'KbnT_Denpyo30'
	AND
	yoDenKb = kbnzei.smkSeqNo
LEFT OUTER JOIN
	Mst_YosoU
ON
	YodcKb = 0
	AND
	yoYosoUcd = YosoUcd
LEFT OUTER JOIN
	Mst_Gyosya
ON
	yoShiirecd = Shiirecd
GO