IF OBJECT_ID('View_Mst_Chumon') IS NOT NULL
	DROP VIEW View_Mst_Chumon
GO

CREATE VIEW View_Mst_Chumon AS
SELECT
	Chumoncd,mchChumon1,mchChumon2,mchRyakuName,mchKeisyou,mchFurigana,mchYubin,mchJusyo1,mchJusyo2,mchTel,mchFax,mchChumonKb,kbnch.smkName AS [ChumonNm],mchTanto,mchDaihyo,
	mchShimebi,mchZeikeiKb,kbnzk.smkName AS [ZeikeiNm],mchZeihasuKb,kbnzh.smkName AS [ZeihasuNm],mchKinhasuKb,kbnkh.smkName AS [KinhasuNm],mchExchangeKb,kbnex.smkName AS [ExchangeNm],
	mchCachLimit,mchSumKb,kbnsm.smkName AS [SumNm],mchRank,mchMemo01,mchMemo02,mchMemo03,mchMemo04,mchMemo05,mchLinkInfo1,mchLinkInfo2,mchLinkHTTP1,mchLinkHTTP2,
	mchKaimm,mchKaidd,mchKaitancd,Syain,mchKaisyuKb,kbnkk.smkName AS [KaisyuNm],mchGincd,mchShitencd,mgkGinko,mgsShiten,mchTegatamm,mchTegatadd,mchSeikyuKb,kbnss.smkName AS [SeikyuNm]
FROM
	Mst_Chumon
LEFT OUTER JOIN
	Set_MstKbn AS kbnch
ON
	kbnch.smkTblID = 'Kbn_Chumon'
	AND
	mchChumonKb = kbnch.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzk
ON
	kbnzk.smkTblID = 'KbnF_Zeikei'
	AND
	mchZeikeiKb = kbnzk.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzh
ON
	kbnzh.smkTblID = 'KbnF_Hasu'
	AND
	mchZeihasuKb = kbnzh.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnkh
ON
	kbnkh.smkTblID = 'KbnF_Hasu'
	AND
	mchKinhasuKb = kbnkh.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnex
ON
	kbnex.smkTblID = 'Kbn_Saiyo'
	AND
	mchExchangeKb = kbnex.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnsm
ON
	kbnsm.smkTblID = 'Kbn_MstTypeChumon'
	AND
	mchSumKb = kbnsm.smkSeqNo
LEFT OUTER JOIN
	Mst_Syain
ON
	mchKaitancd = Syaincd
LEFT OUTER JOIN
	Set_MstKbn AS kbnkk
ON
	kbnkk.smkTblID = 'Kbn_Kaisyu'
	AND
	mchKaisyuKb = kbnkk.smkSeqNo
LEFT OUTER JOIN
	MstC_Ginko
ON
	mchGincd = Ginkocd
LEFT OUTER JOIN
	MstC_GinkoS AS gs
ON
	mchGincd = gs.Ginkocd
	AND
	mchShitencd = Shitencd
LEFT OUTER JOIN
	Set_MstKbn AS kbnss
ON
	kbnss.smkTblID = 'KbnF_YesNo4'
	AND
	mchSeikyuKb = kbnss.smkSeqNo
GO