IF OBJECT_ID('View_Mst_Hinmei') IS NOT NULL
	DROP VIEW View_Mst_Hinmei
GO

CREATE VIEW View_Mst_Hinmei AS
SELECT
	h.Dbuncd,h.Hinscd,DbunName,Hinmei0,Hincd,Hinmei1,Hinmei2,mhiFurigana,mhiMakerHinNo,mhiTanicd,mhiTani,mhiMakercd,kbnmk.smkName AS [MakerNm],mhiMateSize,mhiColorNm,
	mhiYosoUcd,yg.YosoUNm AS [YosoUNm],mhiUYosoUcd,yu.YosoUNm AS [UYosoUNm],mhiDenKb,kbnzg.smkName AS [DenNm],mhiUDenKb,kbnzu.smkName AS [UDenNm],mhiTanka1,mhiTanka2,mhiTanka3,mhiTanka4,mhiTanka5,
	mhiTankaU1,mhiTankaU2,mhiTankaU3,mhiRoCalcNum1,mhiSyoCalcNum,mhiShiirecd,mgyRyakuName,mhiMemo1,mhiMemo2,mhiMemo3,
	mhiTKKb,(SELECT smkName FROM Set_MstKbn WHERE smkTblID = 'KbnF_YesNo1' AND smkSeqNo = mhiTKKb) mhiTKNm
FROM
	Mst_Hinmei AS h
LEFT OUTER JOIN
	Mst_HinDaiBun As d
ON
	h.Dbuncd = d.Dbuncd
LEFT OUTER JOIN
	Mst_Hinsyu as s
ON
	h.Dbuncd = s.Dbuncd
	AND
	h.Hinscd = s.Hinscd
LEFT OUTER JOIN
	Set_MstKbn AS kbnmk
ON
	kbnmk.smkTblID = 'Kbn_MstMaker'
	AND
	mhiMakercd = kbnmk.smkSeqNo
LEFT OUTER JOIN
	Mst_YosoU AS yg
ON
	yg.YodcKb = 0
	AND
	mhiYosoUcd = yg.YosoUcd
LEFT OUTER JOIN
	Mst_YosoU AS yu
ON
	yu.YodcKb = 2
	AND
	mhiUYosoUcd = yu.YosoUcd
LEFT OUTER JOIN
	Set_MstKbn AS kbnzg
ON
	kbnzg.smkTblID = 'KbnT_Denpyo30'
	AND
	mhiDenKb = kbnzg.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzu
ON
	kbnzu.smkTblID = 'KbnT_Denpyo30'
	AND
	mhiUDenKb = kbnzu.smkSeqNo
LEFT OUTER JOIN
	Mst_Gyosya
ON
	mhiShiirecd = Shiirecd
GO