IF OBJECT_ID('View_Mst_Kikai') IS NOT NULL
	DROP VIEW View_Mst_Kikai
GO

CREATE VIEW View_Mst_Kikai AS
SELECT
	Kikaicd,Kikai,mkiFurigana,mkiKikaiKb,kbnkk.smkName AS [KikaiNm],mkiBumoncd,mbuBumon,mkiTancd,Syain,mkiTYM,mkiKonyuKin,mkiKonyuYmd,mkiK_Time,mkiK_Month,mkikikiKb,kbnks.smkName AS [kikiNm],
	mkiMakerNm,mkiModelNm,mkiManufactNo,mkiPerformNm,mkiOilKb,kbnoil.smkName AS [OilNm],mkiDisplacement,mkiInspectDate,mkiCheckDate,mkiNxInspectDate,mkiNxCheckDate,
	CASE WHEN mkiShiirecd = skdGeOpShiirecd THEN 'Г@BE@ޑ' ELSE 'ЊO[X' END AS [NaiGaiKb],mkiShiirecd,mgyRyakuName,mkiDbuncd,mkiHinscd,mkiHincd,Hinmei1,kbnzei.smkName AS [ZeiKb],
	mhiTani,mhiYosoUcd,YosoUNm,mkiSumKb,kbnsum.smkName AS [SumNm],mkiMemo1,mkiMemo2,mkiMemo3,mkiMemo4,mkiMemo5,mkiTanka1,mkiTanka2,mkiTanka3,mkiTanka4
FROM
	Mst_Kikai
LEFT OUTER JOIN
	Set_MstKbn AS kbnkk
ON
	kbnkk.smkTblID = 'Kbn_Kikai'
	AND
	mkiKikaiKb = kbnkk.smkSeqNo
LEFT OUTER JOIN
	Mst_Bumon
ON
	mkiBumoncd = Bumoncd
LEFT OUTER JOIN
	Mst_Syain
ON
	mkiTancd = Syaincd
LEFT OUTER JOIN
	Set_MstKbn AS kbnks
ON
	kbnks.smkTblID = 'Kbn_Kiki'
	AND
	mkikikiKb = kbnks.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnoil
ON
	kbnoil.smkTblID = 'Kbn_Oil'
	AND
	mkiOilKb = kbnoil.smkSeqNo
CROSS JOIN
	Set_KaiDef
LEFT OUTER JOIN
	Mst_Gyosya
ON
	mkiShiirecd = Shiirecd
LEFT OUTER JOIN
	Mst_Hinmei
ON
	mkiDbuncd = Dbuncd
	AND
	mkiHinscd = Hinscd
	AND
	mkiHincd = Hincd
LEFT OUTER JOIN
	Set_MstKbn AS kbnzei
ON
	kbnzei.smkTblID = 'KbnT_Denpyo30'
	AND
	mhiDenKb = kbnzei.smkSeqNo
LEFT OUTER JOIN
	Mst_YosoU
ON
	YodcKb = 0
	AND
	mhiYosoUcd = YosoUcd 
LEFT OUTER JOIN
	Set_MstKbn AS kbnsum
ON
	kbnsum.smkTblID = 'Kbn_MstTypeKikai'
	AND
	mkiSumKb = kbnsum.smkSeqNo
GO