IF OBJECT_ID('View_Mst_Syain') IS NOT NULL
	DROP VIEW View_Mst_Syain
GO

CREATE VIEW View_Mst_Syain AS
SELECT
	Mst_Syain.Syaincd,Mst_Syain.Syain,Mst_Syain.msyYubin,Mst_Syain.msyJusyo1,Mst_Syain.msyJusyo2,Mst_Syain.msyEMailID,Mst_Syain.msyTel1,
	Mst_Syain.msyTel2,Mst_Syain.msySyainKb,SyainKbName.smkName AS msySyainName,Mst_Syain.msyBumoncd,Mst_Bumon.mbuBumon,
	Mst_Syain.msySexKb,SexName.smkName AS msySexName,Mst_Syain.msyBlood,BloodName.smkName AS msyBloodName,Mst_Syain.msyBirthYmd,Mst_Syain.msyEnterYmd,
	Mst_Syain.msyOfficeKb,OfficeName.smkName AS msyOfficeName,Mst_Syain.msyBosscd,BossName.Syain AS msyBossName,
	CASE WHEN Set_KaiDef.skdGeOpShiirecd=Mst_Syain.msyShiirecd THEN 'ГJ' ELSE 'ЊOJ' END AS msySyanaigai,
	Mst_Syain.msyShiirecd,Mst_Gyosya.mgyRyakuName,
	Mst_Syain.msyDbuncd,Mst_Syain.msyHinscd,Mst_Syain.msyHincd,Mst_Hinmei.Hinmei1,Mst_Hinmei.mhiTani,Mst_Hinmei.mhiDenKb,DenName.smkName AS mhiDenName,Mst_Hinmei.mhiYosoUcd,
	Mst_YosoU.YosoUNm,Mst_Syain.msySumKb,SumName.smkName AS msySumName,Mst_Syain.msyMemo1,Mst_Syain.msyMemo2,Mst_Syain.msyMemo3,Mst_Syain.msyMemo4,Mst_Syain.msyMemo5,
	Mst_Syain.msyLinkInfo1,Mst_Syain.msyLinkInfo2,Mst_Syain.msyLinkHTTP1,Mst_Syain.msyLinkHTTP2,Mst_Syain.msyTanka1,Mst_Syain.msyTanka2,Mst_Syain.msyTanka3,Mst_Syain.msyTanka4,Mst_Syain.msyTanka5,Mst_Syain.msyTanka6,
	Mst_Syain.msyTanka7,Mst_Syain.msyTanka8,Mst_Syain.msyTanka9,Mst_Syain.msyTanka10,Mst_Syain.msyTanka11,Mst_Syain.msyTanka12,Mst_Syain.msyTanka13,Mst_Syain.msyTanka14,Mst_Syain.msyTanka15,
	Mst_Syain.msyKyuyoSyaincd,Mst_Syain.msyFurigana
FROM
	Mst_Syain
LEFT OUTER JOIN Set_MstKbn AS SyainKbName ON Mst_Syain.msySyainKb=SyainKbName.smkSeqNo AND  SyainKbName.smkTblID='Kbn_Syain'
LEFT OUTER JOIN Mst_Bumon ON Mst_Bumon.Bumoncd=Mst_Syain.msyBumoncd
LEFT OUTER JOIN Set_MstKbn AS SexName ON Mst_Syain.msySexKb=SexName.smkSeqNo AND  SexName.smkTblID='KbnF_Seb'
LEFT OUTER JOIN Set_MstKbn AS BloodName ON Mst_Syain.msyBlood=BloodName.smkSeqNo AND  BloodName.smkTblID='KbnF_Blood'
LEFT OUTER JOIN Set_MstKbn AS OfficeName ON Mst_Syain.msyOfficeKb=OfficeName.smkSeqNo AND  OfficeName.smkTblID='KbnT_Office'
LEFT OUTER JOIN Mst_Syain AS BossName ON Mst_Syain.msyBosscd=BossName.Syaincd
LEFT OUTER JOIN Mst_Gyosya ON Mst_Syain.msyShiirecd=Mst_Gyosya.Shiirecd
LEFT OUTER JOIN Mst_Hinmei ON Mst_Syain.msyDbuncd=Mst_Hinmei.Dbuncd AND Mst_Syain.msyHinscd=Mst_Hinmei.Hinscd AND Mst_Syain.msyHincd=Mst_Hinmei.Hincd
LEFT OUTER JOIN Set_MstKbn AS DenName ON Mst_Hinmei.mhiDenKb=DenName.smkSeqNo AND  DenName.smkTblID='KbnT_Denpyo30'
LEFT OUTER JOIN Mst_YosoU ON Mst_Hinmei.mhiYosoUcd=Mst_YosoU.YosoUcd
LEFT OUTER JOIN Set_MstKbn AS SumName ON Mst_Syain.msySumKb=SumName.smkSeqNo AND  SumName.smkTblID='Kbn_MstTypeSyain'
LEFT OUTER JOIN Set_KaiDef ON Mst_Syain.msyShiirecd=Set_KaiDef.skdGeOpShiirecd
GO