IF OBJECT_ID('View_Fil_NipoG') IS NOT NULL
	DROP VIEW View_Fil_NipoG
GO

CREATE VIEW View_Fil_NipoG AS
SELECT
	ngYmd,g.ngGDenNo,ngChumonNo,ngChumonKbNo,ngShiirecd,mgyRyakuName,ngKojiNo,ngKbNo,mkbRyakuName,mgyTel,mgyFax,kbngy.smkName AS [GyosyaNm],mgyShimebi,kbnzk.smkName AS [Zeikei],kbnzh.smkName AS [Zeihasu],
	ndgMemo1,ndgShiharaiYDate,ngGSeqNo,ngExchKb,kbnec.smkName AS [Exch],ngDbuncd,ngHinscd,ngHincd,ngHinmei0,ngHinmei1,
	ngDenKb,kbnzei.smkName AS [DenNm],ngSuryo,ngTani,ngTanka,ngKingaku,ngKinnuki,ngZeiRateKb,
	ngZeiRate,COALESCE(ngZei,0)+COALESCE(ngSCZei,0) AS ngZei,COALESCE(ngKinnuki,0)+COALESCE(ngZei,0)+COALESCE(ngSCZei,0) AS ngKinkomi,
	ngYosoUcd,YosoUNm,ngLevel1cd,ngLevel1Nm,ngLevel2cd,ngLevel2Nm,ngLevel3cd,ngLevel3Nm,ngMemo1,ngMemo2,
	CASE WHEN ngZeiRateKb IS NULL THEN NULL ELSE COALESCE(ngZeiType,0) END AS ngZeiType
FROM
	Fil_NipoG AS g
LEFT OUTER JOIN
	Mst_Gyosya
ON
	ngShiirecd = Shiirecd
LEFT OUTER JOIN
	Mst_KojiBase
ON
	ngKojiNo = KojiNo
	AND
	ngKbNo = KbNo
LEFT OUTER JOIN
	Set_MstKbn AS kbngy
ON
	kbngy.smkTblID = 'Kbn_Gyosya'
	AND
	mgyGyosyaKb = kbngy.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzk
ON
	kbnzk.smkTblID = 'KbnF_Zeikei'
	AND
	mgyZeikeiKb = kbnzk.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzh
ON
	kbnzh.smkTblID = 'KbnF_Hasu'
	AND
	mgyZeihasuKb = kbnzh.smkSeqNo
LEFT OUTER JOIN
	Fil_NipoDenG
ON
	ngGDenNo = ndgGDenNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnec
ON
	kbnec.smkTblID = 'KbnF_Exch'
	AND
	ngExchKb = kbnec.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzei
ON
	kbnzei.smkTblID = 'KbnT_Denpyo30'
	AND
	ngDenKb = kbnzei.smkSeqNo
LEFT OUTER JOIN
	Mst_YosoU
ON
	ngYosoUcd = YosoUcd
GO