IF OBJECT_ID('View_Fil_NipoT') IS NOT NULL
	DROP VIEW View_Fil_NipoT
GO

CREATE VIEW View_Fil_NipoT AS
SELECT
	ntYmd,t.ntGDenNo,ntChumonNo,ntChumonKbNo,ntShiirecd,g1.mgyRyakuName AS [ShiireName],ntKojiNo,ntKbNo,mkbRyakuName,g1.mgyTel,g1.mgyFax,kbngy.smkName AS [GyosyaNm],g1.mgyShimebi,kbnzk.smkName AS [Zeikei],kbnzh.smkName AS [Zeihasu],
	ndgMemo1,ndgShiharaiYDate,ntTatekaeNo,ntExchKb,kbnec.smkName AS [Exch],ntTasShiirecd,g2.mgyRyakuName AS [TasShiireName],ntDbuncd,ntHinscd,ntHincd,ntHinmei0,ntHinmei1,
	ntSDenKb,kbnzei.smkName AS [SDenNm],ntSuryo,ntTani,ntTanka,ntKingaku,
	ntZeiRateKb,ntZeiRate,ntZei,ntYosoUcd,YosoUNm,ntLevel1cd,ntLevel1Nm,ntLevel2cd,ntLevel2Nm,ntLevel3cd,ntLevel3Nm,ntMemo1,ntMemo2,
	CASE WHEN ntZeiRateKb IS NULL THEN NULL ELSE COALESCE(ntZeiType,0) END AS ntZeiType
FROM
	Fil_NipoT AS t
LEFT OUTER JOIN
	Mst_Gyosya AS g1
ON
	ntShiirecd = g1.Shiirecd
LEFT OUTER JOIN
	Mst_KojiBase
ON
	ntKojiNo = KojiNo
	AND
	ntKbNo = KbNo
LEFT OUTER JOIN
	Set_MstKbn AS kbngy
ON
	kbngy.smkTblID = 'Kbn_Gyosya'
	AND
	mgyGyosyaKb = kbngy.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzk
ON
	kbnzk.smkTblID = 'KbnF_Zeikei'
	AND
	mgyZeikeiKb = kbnzk.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnzh
ON
	kbnzh.smkTblID = 'KbnF_Hasu'
	AND
	mgyZeihasuKb = kbnzh.smkSeqNo
LEFT OUTER JOIN
	Fil_NipoDenG
ON
	ntGDenNo = ndgGDenNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnec
ON
	kbnec.smkTblID = 'KbnF_Exch'
	AND
	ntExchKb = kbnec.smkSeqNo
LEFT OUTER JOIN
	Mst_Gyosya AS g2
ON
	ntTasShiirecd = g2.Shiirecd
LEFT OUTER JOIN
	Set_MstKbn AS kbnzei
ON
	kbnzei.smkTblID = 'KbnT_Denpyo30'
	AND
	ntSDenKb = kbnzei.smkSeqNo
LEFT OUTER JOIN
	Mst_YosoU
ON
	ntYosoUcd = YosoUcd
GO