IF OBJECT_ID('View_Mst_Gyosya') IS NOT NULL
	DROP VIEW View_Mst_Gyosya
GO

CREATE VIEW View_Mst_Gyosya AS
SELECT 
	/*{^u*/
	Mst_Gyosya.Shiirecd,Mst_Gyosya.mgyShiiresaki1,Mst_Gyosya.mgyShiiresaki2,Mst_Gyosya.mgyRyakuName,Mst_Gyosya.mgyKeisyou,
	Mst_Gyosya.mgyFurigana,Mst_Gyosya.mgyYubin,Mst_Gyosya.mgyJusyo1,Mst_Gyosya.mgyJusyo2,Mst_Gyosya.mgyEmail,
	Mst_Gyosya.mgyTel,Mst_Gyosya.mgyFax,Mst_Gyosya.mgyGyosyaKb,GyosyaKbName.smkName AS mgyGyosyaKbName,Mst_Gyosya.mgyBusyo,Mst_Gyosya.mgyTanto,
	Mst_Gyosya.mgyDaihyo,Mst_Gyosya.mgyHinmoku,Mst_Gyosya.mgyKyokaSyu,Mst_Gyosya.mgyKyokaNo,Mst_Gyosya.mgyKyokaDate,
	Mst_Gyosya.mgyKeiyakuNo,Mst_Gyosya.mgyShimebi,Mst_Gyosya.mgyZeikeiKb,ZeikeiName.smkName AS mgyZeikeiName,Mst_Gyosya.mgyZeihasuKb,ZeihasuName.smkName AS mgyZeihasuName,
	Mst_Gyosya.mgyKinhasuKb,KinhasuName.smkName AS mgyKinhasuName,Mst_Gyosya.mgySaiyoKb,SaiyoName.smkName AS mgySaiyoName,Mst_Gyosya.mgyHacTypeKb,
	HacTypeName.smkName AS mgyHacTypeName,Mst_Gyosya.mgySumKb,SumName.smkName AS mgySumName,Mst_Gyosya.mgyRank,
	Mst_Gyosya.mgyMemo01,Mst_Gyosya.mgyMemo02,Mst_Gyosya.mgyMemo03,Mst_Gyosya.mgyMemo04,Mst_Gyosya.mgyMemo05,
	Mst_Gyosya.mgyLinkInfo1,Mst_Gyosya.mgyLinkInfo2,Mst_Gyosya.mgyLinkHTTP1,Mst_Gyosya.mgyLinkHTTP2,
	/*x^u*/
	Mst_Gyosya.mgyShmm,Mst_Gyosya.mgyShdd,Mst_Gyosya.mgyGenFuriKb,
	CASE WHEN Mst_Gyosya.mgyGenFuriKb=1 THEN 'Ќ1('+KouzaGinko.mgkGinko+KouzaGinkoS.mgsShiten+')' WHEN Mst_Gyosya.mgyGenFuriKb=2 THEN 'Ќ2('+KouzaGinko.mgkGinko+KouzaGinkoS.mgsShiten+')' 
	WHEN Mst_Gyosya.mgyGenFuriKb=3 THEN 'Ќ3('+KouzaGinko.mgkGinko+KouzaGinkoS.mgsShiten+')' WHEN Mst_Gyosya.mgyGenFuriKb=4 THEN 'Ќ4('+KouzaGinko.mgkGinko+KouzaGinkoS.mgsShiten+')'
	WHEN Mst_Gyosya.mgyGenFuriKb=5 THEN 'Ќ5('+KouzaGinko.mgkGinko+KouzaGinkoS.mgsShiten+')' ELSE '' END AS mgyGenFuriName,
	Mst_Gyosya.mgyGincd,Mst_Gyosya.mgyShitencd,Ginko.mgkGinko+GinkoS.mgsShiten AS mgyGinShitenName,
	Mst_Gyosya.mgyYokinKb,YokinName.smkName AS mgyYokinName,Mst_Gyosya.mgyKouzaNo,Mst_Gyosya.mgyKouzaNm,Mst_Gyosya.mgyFuriTesuKb,FuriTesuName.smkName AS mgyFuriTesuName,
	Mst_Gyosya.mgyTegataName1,Mst_Gyosya.mgyTegataName2,Mst_Gyosya.mgyTegataKijun1,Mst_Gyosya.mgyTegataRate1,Mst_Gyosya.mgyTegataHasu1,
	Mst_Gyosya.mgyTegataKijun2,Mst_Gyosya.mgyTegataRate2,Mst_Gyosya.mgyTegataHasu2,Mst_Gyosya.mgyTegataRate3,Mst_Gyosya.mgyTegataHasu3,
	Mst_Gyosya.mgyTegatamm,Mst_Gyosya.mgyTegatadd,Mst_Gyosya.mgyTegataYuso,
	Mst_Gyosya.mgySaiboRate1,Mst_Gyosya.mgySaiboHasuKb1,SaiboHasuName.smkName AS mgySaiboHasuName,Mst_Gyosya.mgySaiboHasu1,Mst_Gyosya.mgySaiboKotei,Mst_Gyosya.mgyTuchiKb,TuchiName.smkName AS mgyTuchiName,
	mgyTankaHistoryDispKb,(SELECT smkName FROM Set_MstKbn WHERE smkTblID = 'KbnF_YesNo1' AND smkSeqNo = mgyTankaHistoryDispKb) mgyTankaHistoryDispNm,
	mgyMarkTpKb,(SELECT smkName FROM Set_MstKbn WHERE smkTblID = 'Kbn_MarkTp' AND smkSeqNo = mgyMarkTpKb) mgyMarkTpNm,
	mgyGyoCtlKb,(SELECT smkName FROM Set_MstKbn WHERE smkTblID = 'Kbn_GyoCtl' AND smkSeqNo = mgyGyoCtlKb) mgyGyoCtlNm
FROM 
	Mst_Gyosya 
/*{*/
LEFT OUTER JOIN Set_MstKbn AS GyosyaKbName ON Mst_Gyosya.mgyGyosyaKb=GyosyaKbName.smkSeqNo AND GyosyaKbName.smkTblID='Kbn_Gyosya' 
LEFT OUTER JOIN Set_MstKbn AS ZeikeiName ON Mst_Gyosya.mgyZeikeiKb= ZeikeiName.smkSeqNo AND  ZeikeiName.smkTblID='KbnF_Zeikei' 
LEFT OUTER JOIN Set_MstKbn AS ZeihasuName ON Mst_Gyosya.mgyZeihasuKb= ZeihasuName.smkSeqNo AND  ZeihasuName.smkTblID='KbnF_Hasu' 
LEFT OUTER JOIN Set_MstKbn AS KinhasuName ON Mst_Gyosya.mgyKinhasuKb= KinhasuName.smkSeqNo AND  KinhasuName.smkTblID='KbnF_Hasu' 
LEFT OUTER JOIN Set_MstKbn AS SaiyoName ON Mst_Gyosya.mgySaiyoKb= SaiyoName.smkSeqNo AND  SaiyoName.smkTblID='KbnT_Torihiki' 
LEFT OUTER JOIN Set_MstKbn AS HacTypeName ON Mst_Gyosya.mgyHacTypeKb= HacTypeName.smkSeqNo AND  HacTypeName.smkTblID='Kbn_HacType' 
LEFT OUTER JOIN Set_MstKbn AS SumName ON Mst_Gyosya.mgySumKb= SumName.smkSeqNo AND  SumName.smkTblID='Kbn_MstTypeGyosya' 
/*x*/
LEFT OUTER JOIN Set_Kouza ON Mst_Gyosya.mgyGenFuriKb=Set_Kouza.skoNo
LEFT OUTER JOIN MstC_Ginko AS KouzaGinko ON Set_Kouza.skoGincd=KouzaGinko.Ginkocd
LEFT OUTER JOIN MstC_GinkoS AS KouzaGinkoS ON Set_Kouza.skoGincd=KouzaGinkoS.Ginkocd AND Set_Kouza.skoShitencd=KouzaGinkoS.Shitencd
LEFT OUTER JOIN MstC_Ginko AS Ginko ON Ginko.Ginkocd=Mst_Gyosya.mgyGincd
LEFT OUTER JOIN MstC_GinkoS AS GinkoS ON GinkoS.Ginkocd=Mst_Gyosya.mgyGincd AND GinkoS.Shitencd=Mst_Gyosya.mgyShitencd
LEFT OUTER JOIN Set_MstKbn AS YokinName ON Mst_Gyosya.mgyYokinKb= YokinName.smkSeqNo AND  YokinName.smkTblID='KbnF_Yokin' 
LEFT OUTER JOIN Set_MstKbn AS FuriTesuName ON Mst_Gyosya.mgyFuriTesuKb= FuriTesuName.smkSeqNo AND  FuriTesuName.smkTblID='KbnF_FuriTesu' 
LEFT OUTER JOIN Set_MstKbn AS SaiboHasuName ON Mst_Gyosya.mgySaiboHasuKb1= SaiboHasuName.smkSeqNo AND  SaiboHasuName.smkTblID='KbnF_Hasu'
LEFT OUTER JOIN Set_MstKbn AS TuchiName ON Mst_Gyosya.mgyTuchiKb= TuchiName.smkSeqNo AND  TuchiName.smkTblID='KbnF_YesNo1'
GO