IF OBJECT_ID('View_Mst_YosoU') IS NOT NULL
	DROP VIEW View_Mst_YosoU
GO

CREATE VIEW View_Mst_YosoU AS
SELECT
	YodcKb,YosoUcd,YosoUNm,myuRecvDenKb,kbnrd.smkName AS [RecvDenNm],myuD_Kamokucd,myuD_Hojyocd,myuD_Kamoku,myuD_Hojyo,myuD_SzKb,myuD_Bumoncd,db.mbuBumon AS [D_Bumon],
	myuC_Kamokucd,myuC_Hojyocd,myuC_Kamoku,myuC_Hojyo,myuC_SzKb,myuC_Bumoncd,cb.mbuBumon AS [C_Bumon],myuZ_Kb,kbnzt.smkName AS [Z_Nm],myuZ_Kamokucd,myuZ_Hojyocd,myuZ_Kamoku,myuZ_Hojyo,
	myuK_TaisyakuKb,kbnkt.smkName AS [K_TaisyakuNm],myuK_Kamokucd,myuK_Hojyocd,myuK_Kamoku,myuK_Hojyo,myuKohenKb,kbnkh.smkName AS [KohenNm]
FROM
	Mst_YosoU
LEFT OUTER JOIN
	Set_MstKbn AS kbnrd
ON
	kbnrd.smkTblID = 'KbnT_Denpyo20'
	AND
	myuRecvDenKb = kbnrd.smkSeqNo
LEFT OUTER JOIN
	Mst_Bumon AS db
ON
	myuD_Bumoncd = db.Bumoncd
LEFT OUTER JOIN
	Mst_Bumon AS cb
ON
	myuC_Bumoncd = cb.Bumoncd
LEFT OUTER JOIN
	Set_MstKbn AS kbnzt
ON
	kbnzt.smkTblID = 'KbnF_KaiZei'
	AND
	myuZ_Kb = kbnzt.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnkt
ON
	kbnkt.smkTblID = 'KbnF_TaisyakuKb'
	AND
	myuK_TaisyakuKb = kbnkt.smkSeqNo
LEFT OUTER JOIN
	Set_MstKbn AS kbnkh
ON
	kbnkh.smkTblID = 'KbnF_Kohen'
	AND
	myuKohenKb = kbnkh.smkSeqNo
GO